get
https://api.accelevents.com/rest/u/activity
- This API is used to get a list of user activities for all events.
- This API is used when the user clicks on the My Activity page from the Profile menu.
- We need to pass the authorization token in API in the header.
- Authorization token will be generated when the user login to the system.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
By using this API users can get an array of events with all activity details.
This API returns a JSON response with 200 status if API is executed successfully.
Here is the description of response attributes, which returns to the form of JSON :
| Attribute | Description |
|---|---|
| eventName | It contains the name of the event |
| eventId | It contains the Id of the particular event |
| eventUrl | This field contains the event URL. |
| silentActivitys | This field contains auction activity details for user like :
|
| raffleActivitys | This field Contains raffle activity details for user like :
|
| purchasedRaffleActivitys | This field Contains purchased raffle activity details for users like :
|
| causeAuctionActivitys | This field contains Contains fund a need activity details for user like:
|
| eventTicketsDto | This field Contains the array of event ticket details of particular event like :
|
| currency | This field display the current of the event |
| basicEventInfo | This field contains the current Event Basic Information like :
|
| availableRaffleTickets | This field contains the count of the available raffle tickets from purchased tickets |
| textToGiveEnabled | This field is used to check If Is text to give enable for this event is enabled or not :
|
| currentEvent | This field is used to check If this event is the current event of the user or not
|
| donationEnabled | This field is used to check If the donation module enables for this event or not :
|
| raffleEnabled | This field is used to check If Is text to give enable for this event is enabled or not :
|
| causeAuctionEnabled | This field is used to check If Is text to give enable for this event is enabled or not :
|
| silentAuctionEnabled | This field is used to check If Is text to give enable for this event is enabled or not:
|
Here are the possible error messages, which return if any condition gets failed or required data is missing for processing
| Error code | Error Description |
|---|---|
| 200 | Ok |
| 401 | User is not authorized to view the resource. |
| 404 | Event Not Found |